﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3012C: (1 year) VER IEEE /9500+2Hd
DATE:                  2010-06-03 12:18:59
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       217
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3012C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal IEEE
#        Sub Tek TDS3000C Channel Select IEEE
#        Sub Tek TDS3000C Self-Test IEEE
#        Sub Tek TDS3000C (1 yr) DCV IEEE /9500
#        Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600
#        Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9500
#        Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        50 Ohm feed through teminator, one to four sets
#           (if one to four sets 9560 is configured)
#        Adapter SMA(f)-BNC(m), one to four sets
#           (if one to four sets 9560 is configured)
#
# The procedure was tested using:
#        Model No  : TDS3014C
#        Serial No : C011177
#        Options   : TDS3GV:v1.00 TDS3FFT :v1.00 TDS3TRG:v1.00
#        Firmware  : V4.05
#
# Average run time during testing : 30 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.008  ASK+           K

  1.009  IF           NOT(VERSIONCHECK("7.20x"))
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)
  1.016  CALL         Sub Datron 9500 Configuration Query IEEE

  1.017  HEAD         EQUIPMENT REQUIREMENTS
  1.018  OPBR         -z Do you want to REVIEW the list of additional
  1.018  OPBR         equipment and/or accessories required?

  1.019  IF           MEM1
  1.020  MATH         Con = @HeadTypeCh1 == "9560" || @HeadTypeCh2 == "9560"

  1.021  IF           NOT(Con)
  1.022  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36

  1.023  ELSE
  1.024  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.024  DISP         - 50 Ohm feed through teminator, one to four sets
  1.024  DISP         [32]        (if one to four sets 9560 is configured)
  1.024  DISP         - Adapter SMA(f)-BNC(m), one to four sets
  1.024  DISP         [32]        (if one to four sets 9560 is configured)
  1.025  ENDIF

  1.026  ENDIF

  1.027  HEAD         PRELIMINARY INSTRUCTIONS
  1.028  TARGET
  1.029  DISP         Ensure a minimum UUT warm-up time of at least
  1.029  DISP         20 minutes has been allowed to elapse, prior
  1.029  DISP         to beginning verification.

  1.030  CALL         Sub Tek TDS3000C SetUp IEEE
  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.032  MATH         @UUT_Manufacturer = "Tektronix"
  1.033  MATH         @UUT_Model        = "TDS 3012C"
  1.034  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.035  JMPL         END                           @Abort

  1.036  CALL         Sub Tek TDS3000C Check Firmware Version
  1.037  JMPL         END                           @Abort

  1.038  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.039  CALL         Sub Tek TDS3000C Sig Path Comp Cal IEEE
  1.040  JMPL         END                           @Abort

  1.041  CALL         Sub Tek TDS3000C Self-Test IEEE
  1.042  JMPL         END                           @Abort

  1.043  IF           @HeadTypeCh1 == "9560"
  1.044  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.045  ELSE
  1.046  MATH         Ch1Adapter = ""
  1.047  ENDIF

  1.048  IF           @HeadTypeCh2 == "9560"
  1.049  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.050  ELSE
  1.051  MATH         Ch2Adapter = ""
  1.052  ENDIF

  1.053  DISP         Connect the 9500 to the UUT as follows:
  1.053  DISP
  1.053  DISP         [32] CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.053  DISP         [32] CH 2 Active Head to UUT CH 2[V Ch2Adapter].

  1.054  MATH         @Chan = 1
  1.055  M9500                       CH1
  1.056  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500

  1.057  MATH         @Chan = 2
  1.058  M9500                       CH2
  1.059  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /9500

  1.060  MATH         @Chan = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600

  1.063  MATH         @Chan = 2
  1.064  M9500                       CH2
  1.065  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9500/600

  1.066  MATH         @Chan = 1
  1.067  M9500                       CH1
  1.068  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600

  1.069  MATH         @Chan = 2
  1.070  M9500                       CH2
  1.071  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9500/600

  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600

  1.075  MATH         @Chan = 2
  1.076  M9500                       CH2
  1.077  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9500/600

  1.078  MATH         @Chan = 1
  1.079  M9500                       CH1
  1.080  CALL         Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9500

  1.081  LABEL        END
  1.082  HEAD         -2

  1.083  IF           @Abort
  1.084  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.085  ELSE
  1.086  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.087  ENDIF

  1.088  END


